\name{predict.ramsvm}
\alias{predict.ramsvm}
\title{A function that provides class label prediction for objects returned by the "ramsvm" function.}
\description{This function provides prediction on a test data set using the obtained classifier from a call of the ramsvm function.}
\usage{
\method{predict}{ramsvm}(object,new.x=NULL,lambda=NULL,...)
}
\arguments{
  \item{object}{An object returned by the "ramsvm" function.}
  \item{new.x}{The new predictor matrix. The number and order of predictors in new.x should be the same as those of x, which is used in the ramsvm function. If not specified, the program uses the training x matrix as the prediction object.}
  \item{lambda}{The lambda values on which the user wants to predict. If not specified, the program will use the lambda values returned by the ramsvm function.}
  \item{...}{Not used.}
 }

\value{
  \item{new.x}{The predictor matrix used for prediction.}
  \item{lambda}{The lambda values used for prediction.}
  \item{pred.y}{A list of predicted labels for each observation in new.x. A prediction is made for each lambda value in the returned lambda object.}    
}
\references{
C. Zhang, Y. Liu, J. Wang and H. Zhu. (2015+). Reinforced Angle-based Multicategory Support Vector Machines.}
\author{Chong Zhang and Yufeng Liu}

\seealso{\code{\link{ramsvm}}} 

\examples{
data(iris)
a=ramsvm(as.matrix(iris[,-5]),iris[,5],lambda=0.2,kernel="g")
predict(a)
}
